User Tools

Site Tools


notes:net-snmp-errors-updated

How to fix net-snmp / snmpwalk SNMPv2-PDU error in Debian 9

Tested with Debian 9 (Stretch) and snmp-mibs-downloader 1.1 on September 2018

When using net-snmp tools (for example with the tool snmpwalk), Debian 9 users (and Ubuntu users too) often get an error like

Bad operator (INTEGER): At line 73 in /usr/share/snmp/mibs/ietf/SNMPv2-PDU

To fix this issue, you need to hack the SMI file (please note that my modified versions of SNMPv2-PDU is not an IETF official file! Use it only if you know what you are doing).

sudo wget http://pastebin.com/raw.php?i=p3QyuXzZ -O /usr/share/snmp/mibs/ietf/SNMPv2-PDU

If you have a less recent Linux version and/or you are seeing more errors, you would need to update more files. In this case, refer to my previous guide on this topic.

notes/net-snmp-errors-updated.txt · Last modified: 2018/09/05 09:14 by admin